# file: log file name
# level: /trace/debug/info/warn/error/fatal, default: debug
# duration: rotation time with xx hours, example: 1/12/24 hours
# count: rotation count of log, default is 30 rotation
logger:
  file: d:/omc.git/be.ems/sshsvc/log/sshsvc.log
  level: trace
  duration: 24
  count: 30

# file: MML log file name
# duration: rotation time with xx hours, example: 1/12/24 hours
# count: rotation count of log, default is 30 rotation
# level: cmd/ret log cmd/log cmd & result
logmml:     
  file: d:/omc.git/be.ems/sshsvc/mmllog/omcmml.log
  duration: 24
  count: 30
  level: ret

# ssh service listen ipv4/v6 and port, support multiple routines
# ip: 0.0.0.0 or ::0, support IPv4/v6
# session: single/multiple session for one user
# authType: local/radius
sshd:
  listenAddr: 0.0.0.0
  listenPort: 32222
  privateKey: ./.ssh/id_rsa
  maxConnNum: 2
  timeout: 1800
  session: multiple
  mmlHome: ./mmlhome
  userName: manager
  password: pass123
  authType: local
  tagNE: hlr

# authType: local/omc
telnetServer:
  listenAddr: 0.0.0.0
  listenPort: 32323
  maxConnNum: 2
  timeout: 1800
  session: multiple
  mmlHome: ./mmlhome
  userName: manager
  password: pass123
  authType: local
  tagNE: hlr

# authproto: NoAuth/MD5/SHA
# privProto: NoPriv/DES/AES/AES192/AES256
snmpServer:
  listenAddr: '[::]'
  listenPort: 34957
  userName: manager
  authPass: pass123
  authproto: MD5
  privPass: "3F2A1B4C5D6E7F8A9B0C1D2E3F4A5B6C7D8E9F0A1B2C3D4E"
  privProto: DES
  #engineID: "800007db03360102101101"
  engineID: "8000000004323030313a6462383a3a39313636"
  trapPort: 34958
  trapListen: false
  trapBool: false
  trapTick: 60
  timeOut: 5
  trapTarget: "2001:db8::9219" 
  
database:
  type: mysql
  user: administrator
  password: "*86#ROtartsinim"
  host: 192.168.13.117
  port: 3306
  name: OMC_PUB
  connParam: charset=utf8mb4&collation=utf8mb4_general_ci&parseTime=True&interpolateParams=True

omc:
  httpUri: http://127.0.0.1:3040
  userCrypt: bcrypt
  
ne:
  port: 4100
  sleep: 200
  user: admin
  password: admin


